=== debian/changelog ===
canl-c (1.0.4-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 22:00:59 +0200
