=== debian/control ===
Source: canl-c
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), bison, chrpath, flex, libc-ares-dev, libkrb5-dev, libssl-dev, libtool
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libcanl-c1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EMI Common Authentication library - bindings for C
 This is the c part of the EMI caNl -- the Common Authentication
 Library.

Package: libcanl-c-dev
Section: libdevel
Architecture: any
Depends: libcanl-c1 (= ${binary:Version}), libkrb5-dev, ${misc:Depends}
Description: Development files for EMI caNl
 This package contains development libraries and header files for EMI caNL.

Package: libcanl-c-examples
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Example programs of EMI caNl
 This package contains client and server examples of EMI caNL.

Package: canl-c-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcanl-c1 (= ${binary:Version}), ${misc:Depends}
Description: EMI caNl debugging symbols
 This package contains debugging symbols for EMI caNl.
