## canl-c 2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,43 @@
 top_srcdir=.
-stagedir=$(pwd)
+stagedir=$(shell pwd)
+package=canl-c
 PREFIX=
 prefix=/usr
 libdir=lib
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
-VPATH=${top_srcdir}/src/:${top_srcdir}/src/proxy/:${top_srcdir}/examples
+version=${module.version}
+
+VPATH=${top_srcdir}/src/:${top_srcdir}/src/proxy/:${top_srcdir}/examples:${top_srcdir}/doc/src
+KPATH = TEXINPUTS=".:${top_srcdir}/doc/src//:"
+KPATHBIB = BIBINPUTS=".:$(VPATH)//:"
 LIBCARES_LIBS?=-lcares  
 LIBSSL_LIBS?=-lssl
 
 CC=gcc
 YACC=bison -y
 LEX=flex
+PDFLATEX = $(KPATH) pdflatex
+BIBTEX = $(KPATHBIB) bibtex
 
 COMPILE=libtool --mode=compile ${CC} ${CFLAGS}
 LINK=libtool --mode=link ${CC} ${LDFLAGS}
 INSTALL=libtool --mode=install install
 
+SOURCES=\
+	doc/src/*.cls doc/src/*.tex doc/src/images/*.pdf \
+	examples/*.c \
+	src/canl_error_* src/*.c src/*.h src/*.pl \
+	src/proxy/*.c src/proxy/*.h src/proxy/*.in src/proxy/*.y src/proxy/*.l \
+	Makefile
+SOURCES_EXEC=src/*.pl
+
 CFLAGS_LIB=-fPIC -I${top_srcdir}/src ${LIBCARES_CFLAGS} ${LIBSSL_CFLAGS} -I.
-LFLAGS_LIB=-shared ${LIBCARES_LIBS} ${LIBSSL_LIBS}
+LFLAGS_LIB=${LIBCARES_LIBS} ${LIBSSL_LIBS}
 
 CFLAGS_CLI=-I${top_srcdir}/src -I.
 LFLAGS_CLI=-L. -lcanl_c
@@ -34,7 +51,7 @@
 CFLAGS_DEL=-Wall -g -I${top_srcdir}/src -I.
 LFLAGS_DEL=-L. -lcanl_c -lcrypto 
 
-HEAD_CANL=canl.h canl_locl.h canl_err.h canl_cred.h canl_ssl.h canl_mech_ssl.h
+HEAD_CANL=canl.h canl_locl.h canl_err.h canl_cred.h canl_ssl.h canl_mech_ssl.h canl_ocsp.h
 
 SRC_CLI=canl_sample_client.c
 HEAD_CLI=canl.h
@@ -66,16 +83,19 @@
 #
 offset=0
 version_info:=-version-info ${shell \
-	perl -e '$$,=":"; @F=split "\\.","${module.version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
+	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 major:=${shell \
-	perl -e '$$,=":"; @F=split "\\.","${module.version}"; print $$F[0]+$$F[1]+${offset}' }
+	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset}' }
 
-all: ${LIBCANL} server client proxy delegation 
+all: ${LIBCANL} server client proxy delegation doc
+
+doc: canl.pdf
 
 ${LIBCANL}:\
-	canl.lo canl_err.lo canl_dns.lo canl_ssl.lo canl_cert.lo canl_cred.lo			\
-	canl_err_desc.lo doio.lo evaluate.lo list.lo normalize.lo proxycertinfo.lo		\
-	scutils.lo sslutils.lo data.lo namespaces_parse.lo namespaces_lex.lo			\
+	canl_err_desc.lo canl.lo canl_err.lo canl_dns.lo canl_ssl.lo \
+	canl_cert.lo canl_cred.lo canl_ocsp.lo\
+	doio.lo evaluate.lo list.lo normalize.lo proxycertinfo.lo\
+	scutils.lo sslutils.lo data.lo namespaces_parse.lo namespaces_lex.lo\
 	signing_policy_parse.lo signing_policy_lex.lo
 	${LINK} -rpath ${stagedir}${prefix}/${libdir} ${version_info} $+ ${LFLAGS_LIB} -o $@
 
@@ -91,6 +111,14 @@
 
 %.lo: %.c ${HEAD_CANL} 
 	${COMPILE} -c $< ${CFLAGS_LIB} -o $@
+
+%.pdf: %.tex
+	$(PDFLATEX) $<
+#	$(BIBTEX) `basename $< .tex`
+	$(PDFLATEX) $<
+	$(PDFLATEX) $<
+
+canl.tex: ver.tex
 
 client: ${OBJ_CLI}
 	${LINK} $< ${LFLAGS_CLI} -o $@
@@ -122,12 +150,16 @@
 canl_err_desc.c: canl_error_codes canl_error_desc
 	${top_srcdir}/src/gen_err_desc.pl $^ > $@
 
+ver.tex:
+	printf "\134def\134version{${version}}\n" > ver.tex
+
 check:
 
 install: all
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include
+	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/canl-c-${version}
 	${INSTALL} -m 755 server ${DESTDIR}${PREFIX}${prefix}/bin/emi-canl-server
 	${INSTALL} -m 755 client ${DESTDIR}${PREFIX}${prefix}/bin/emi-canl-client
 	${INSTALL} -m 755 proxy \
@@ -137,14 +169,21 @@
 	${INSTALL} -m 755 ${LIBCANL} ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	${INSTALL} -m 644 ${top_srcdir}/src/canl.h \
 		${top_srcdir}/src/canl_ssl.h canl_err.h \
+		${top_srcdir}/src/canl_cred.h \
 		${DESTDIR}${PREFIX}${prefix}/include
+	${INSTALL} -m 644 canl.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/canl-c-${version}
 
 stage: all
 	$(MAKE) install PREFIX=${stagedir}
 
 clean:
 	rm -rfv *.o *.lo ${LIBCANL} .libs client server proxy delegation \
-		${top_srcdir}/*.c ${top_srcdir}/*.h lex.backup stage
+		*.c *.h lex.backup stage \
+		canl.aux canl.log canl.pdf canl.out canl.toc ver.tex \
+		canl.bbl canl.blg
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc config.status project/changelog *.spec debian/
+
+.PHONY: default all doc check install stage clean distclean dist distcheck
