=== debian/changelog ===
canl-c (2.0.2-0head.3) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 05 Dec 2012 23:17:54 +0100
