## canl-c 2.0.8

=== debian/changelog ===
canl-c (2.0.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sun, 03 Feb 2013 20:26:36 +0100
