=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), bison, flex, libc-ares-dev, libkrb5-dev, libssl-dev, libtool, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
+Build-Depends: debhelper (>= 7.0.50~), bison, flex, libc-ares-dev, heimdal-dev, libssl-dev, libtool, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://www.eu-emi.eu
@@ -21,7 +21,7 @@
 Package: libcanl-c-dev
 Section: libdevel
 Architecture: any
-Depends: libcanl-c2 (= ${binary:Version}), libkrb5-dev, ${misc:Depends}
+Depends: libcanl-c2 (= ${binary:Version}), heimdal-dev, ${misc:Depends}
 Description: Development files for EMI caNl
  This package contains development libraries and header files for EMI caNL.
 
@@ -30,7 +30,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Example programs of EMI caNl
- This package contains client and server examples of EMI caNL.
+ This package contains client and server examples of EMI caNl.
 
 Package: canl-c-dbg
 Section: debug
