=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -45,7 +45,7 @@
 	mkdir -p debian/$(p_dbg)/usr/share/doc
 	mkdir -p debian/$(p_dev)/usr/share/doc
 	mkdir -p debian/$(p_examples)/usr/share/doc
-	mv debian/tmp/usr/share/doc/canl-c-2.0.2 debian/$(p_dev)/usr/share/doc/$(p_dev)
+	mv debian/tmp/usr/share/doc/canl-c-2.0.8 debian/$(p_dev)/usr/share/doc/$(p_dev)
 	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 	ln -s $(p_lib) debian/$(p_examples)/usr/share/doc/$(p_examples)
