=== debian/changelog ===
canl-c (2.1.2-1) unstable; urgency=low

  * Initial package for debian (Closes: #724665)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 Sep 2013 06:44:52 +0200
