=== debian/control ===
Source: canl-c
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper, bison, flex, libc-ares-dev, libkrb5-dev, libssl-dev, libtool, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
Standards-Version: 3.9.4
Homepage: http://www.eu-emi.eu/

Package: libcanl-c2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EMI Common Authentication library - bindings for C
 This is the C part of the EMI caNl -- the Common Authentication Library.

Package: libcanl-c-dev
Section: libdevel
Architecture: any
Depends: libcanl-c2 (= ${binary:Version}), libkrb5-dev, ${misc:Depends}
Description: Development files for EMI caNl
 This package contains development libraries and header files for EMI caNl.

Package: libcanl-c-examples
Section: misc
Architecture: any
Depends: libcanl-c2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Example programs of EMI caNl
 This package contains client and server examples of EMI caNl.

Package: libcanl-c-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation files for EMI caNl
 This package contains documentation files for EMI caNl.

Package: libcanl-c2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcanl-c2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for EMI caNl library
 This package contains debugging symbols for EMI caNl library.

Package: libcanl-c-examples-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcanl-c-examples (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for EMI caNl examples
 This package contains debugging symbols for EMI caNl client and server
 examples.
