=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

p_dev=libcanl-c-dev
p_examples=libcanl-c-examples
p_lib=libcanl-c2

configure: configure-stamp

configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --root=/ --prefix=/usr --libdir=lib --module canl.c
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f Makefile.inc config.status canl-c.spec
	rm -f configure-stamp build-stamp
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -f debian/tmp/usr/lib/*.la
	# Documentation is installed by dh_installdocs
	rm -rf debian/tmp/usr/share/doc

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --fail-missing
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs -p $(p_examples) --link $(p_lib)
	dh_installdocs -p $(p_lib)-dbg --link $(p_lib)
	dh_installdocs -p $(p_examples)-dbg --link $(p_examples)
	dh_installdocs -a
	dh_installchangelogs -a project/ChangeLog
	dh_install -a --fail-missing
	dh_link -a
	dh_strip -p$(p_examples) --dbg-package=$(p_examples)-dbg
	dh_strip -p$(p_lib) --dbg-package=$(p_lib)-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install
