## canl-c 2.1.5

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,14 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 VPATH=${top_srcdir}/src/:${top_srcdir}/src/proxy/:${top_srcdir}/examples:${top_srcdir}/doc/src
 KPATH = TEXINPUTS=".:${top_srcdir}/doc/src//:"
 KPATHBIB = BIBINPUTS=".:$(VPATH)//:"
 LIBCARES_LIBS?=-lcares  
-LIBSSL_LIBS?=-lssl
+LIBSSL_LIBS?=-lssl -lcrypto
+LIBDL_LIBS?=-ldl
 
 CC=gcc
 YACC=bison -y
@@ -37,7 +39,7 @@
 SOURCES_EXEC=src/*.pl
 
 CFLAGS_LIB=-fPIC -I${top_srcdir}/src ${LIBCARES_CFLAGS} ${LIBSSL_CFLAGS} -I.
-LFLAGS_LIB=${LIBCARES_LIBS} ${LIBSSL_LIBS}
+LFLAGS_LIB=${LIBCARES_LIBS} ${LIBSSL_LIBS} ${LIBDL_LIBS}
 
 CFLAGS_CLI=-I${top_srcdir}/src -I.
 LFLAGS_CLI=-L. -lcanl_c
@@ -99,11 +101,13 @@
 	signing_policy_parse.lo signing_policy_lex.lo
 	${LINK} -rpath ${stagedir}${prefix}/${libdir} ${version_info} $+ ${LFLAGS_LIB} -o $@
 
-%.lo: %.y
-	${YACC} -d ${YFLAGS} $<
-	mv y.tab.c $*.c
-	mv y.tab.h $*.h
-	${COMPILE} -c ${CFLAGS_LIB} $*.c
+%.c: %.y
+	-mkdir $*
+	(cd $*; \
+	 ${YACC} -d ${YFLAGS} ../$< && \
+	 mv y.tab.c ../$*.c && \
+	 mv y.tab.h ../$*.h)
+	rm -r $*
 
 %.c: %.l
 #	${LEX} -t $< > $@
@@ -159,7 +163,7 @@
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	mkdir -p ${DESTDIR}${PREFIX}${prefix}/include
-	mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/canl-c-${version}
+	mkdir -p ${DESTDIR}${PREFIX}${docdir}
 	${INSTALL} -m 755 server ${DESTDIR}${PREFIX}${prefix}/bin/emi-canl-server
 	${INSTALL} -m 755 client ${DESTDIR}${PREFIX}${prefix}/bin/emi-canl-client
 	${INSTALL} -m 755 proxy \
@@ -171,8 +175,8 @@
 		${top_srcdir}/src/canl_ssl.h canl_err.h \
 		${top_srcdir}/src/canl_cred.h \
 		${DESTDIR}${PREFIX}${prefix}/include
-	${INSTALL} -m 644 canl.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/canl-c-${version}
-	${INSTALL} -m 644 README ${DESTDIR}${PREFIX}${prefix}/share/doc/canl-c-${version}
+	${INSTALL} -m 644 canl.pdf ${DESTDIR}${PREFIX}${docdir}
+	${INSTALL} -m 644 README ${DESTDIR}${PREFIX}${docdir}
 
 stage: all
 	$(MAKE) install PREFIX=${stagedir}
