=== debian/changelog ===
canl-c (2.1.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761736.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:16:55 +0000

canl-c (2.1.5-1) unstable; urgency=medium

  * Update to version 2.1.5
  * Drop patch canl-c-unsigned.patch applied upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 08 Jul 2014 08:53:59 +0200

canl-c (2.1.4-1) unstable; urgency=medium

  * Update to version 2.1.4
  * Drop patch canl-c-linking.patch applied upstream
  * Fix signedness difference in extern declaration (Closes: #748033)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 27 May 2014 09:31:37 +0200
