=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper, bison, flex, libc-ares-dev, libkrb5-dev, libssl-dev, libtool, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
-Standards-Version: 3.9.4
+Build-Depends: debhelper, bison, flex, libc-ares-dev, libkrb5-dev, libssl-dev, libtool, libtool-bin, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
+Standards-Version: 3.9.5
 Homepage: http://www.eu-emi.eu/
 
 Package: libcanl-c2
