=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 	dh_installdocs -p $(p_lib)-dbg --link $(p_lib)
 	dh_installdocs -p $(p_examples)-dbg --link $(p_examples)
 	dh_installdocs -a
-	dh_installchangelogs -a project/ChangeLog
+	dh_installchangelogs -a ChangeLog
 	dh_install -a --fail-missing
 	dh_link -a
 	dh_strip -p$(p_examples) --dbg-package=$(p_examples)-dbg
