## canl-c 2.1.6

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 SOURCES_EXEC=src/*.pl
 
 CFLAGS_LIB=-fPIC -I${top_srcdir}/src ${LIBCARES_CFLAGS} ${LIBSSL_CFLAGS} -I.
-LFLAGS_LIB=${LIBCARES_LIBS} ${LIBSSL_LIBS} ${LIBDL_LIBS}
+LFLAGS_LIB=${LIBCARES_LIBS} ${LIBSSL_LIBS} ${LIBDL_LIBS} -lpthread
 
 CFLAGS_CLI=-I${top_srcdir}/src -I.
 LFLAGS_CLI=-L. -lcanl_c
