=== debian/changelog ===
canl-c (2.1.6-1+meta) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 25 Jun 2015 13:50:47 +0200
