=== debian/control ===
Source: canl-c
Priority: optional
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), bison, flex, libc-ares-dev, heimdal-dev, libssl-dev, libtool, pkg-config, texlive-fonts-recommended, texlive-latex-extra, texlive-latex-recommended
Standards-Version: 3.9.1
Section: net
Homepage: http://www.eu-emi.eu

Package: libcanl-c2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EMI Common Authentication library - bindings for C
 This is the C part of the EMI caNl -- the Common Authentication
 Library.

Package: libcanl-c-dev
Section: libdevel
Architecture: any
Depends: libcanl-c2 (= ${binary:Version}), heimdal-dev, ${misc:Depends}
Description: Development files for EMI caNl
 This is the C part of the EMI caNl -- the Common Authentication
 Library.
 .
 This package contains development libraries and header files for EMI caNl.

Package: libcanl-c-examples
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Example programs of EMI caNl
 This is the C part of the EMI caNl -- the Common Authentication
 Library.
 .
 This package contains client and server examples of EMI caNl.

Package: libcanl-c2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcanl-c2 (= ${binary:Version}), ${misc:Depends}
Replaces: canl-c-dbg (<< 2.0.10)
Breaks: canl-c-dbg (<< 2.0.10)
Description: Debugging symbols for EMI caNl library
 This is the C part of the EMI caNl -- the Common Authentication
 Library.
 .
 This package contains debugging symbols for EMI caNl library.

Package: libcanl-c-examples-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcanl-c-examples (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for EMI caNl examples
 This is the C part of the EMI caNl -- the Common Authentication
 Library.
 .
 This package contains debugging symbols for EMI caNl client and server
 examples.

Package: canl-c-dbg
Section: oldlibs
Architecture: all
Priority: extra
Depends: libcanl-c2-dbg, libcanl-c-examples-dbg, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
