=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=canl-c
p_dev=libcanl-c-dev
p_examples=libcanl-c-examples
p_lib=libcanl-c2
p_dummy=canl-c-dbg

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --project=emi --module=canl.c

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip -p$(p_examples) --dbg-package=$(p_examples)-dbg
	dh_strip -p$(p_lib) --dbg-package=$(p_lib)-dbg

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la
	# Documentation is installed by dh_installdocs
	rm -rf debian/tmp/usr/share/doc

override_dh_installdocs:
	dh_installdocs -p$(p_lib)
	dh_installdocs -p$(p_dev)
	dh_installdocs -p$(p_examples) --link-doc=$(p_lib)
	dh_installdocs -p$(p_lib)-dbg --link-doc=$(p_lib)
	dh_installdocs -p$(p_examples)-dbg --link-doc=$(p_lib)
	dh_installdocs -p$(p_dummy) --link-doc=$(p_lib)
