=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.canl.c/canl-c-(.*)\.tar\.gz
