## canl-c 2.1.7

=== debian/changelog ===
canl-c (2.1.7-3) unstable; urgency=medium

  * Reverse the order of conditional dependencies

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 23 Dec 2016 15:14:18 +0100

canl-c (2.1.7-2) unstable; urgency=medium

  * Build against openssl 1.0 (Closes: #828258)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 23 Dec 2016 11:22:37 +0100

canl-c (2.1.7-1) unstable; urgency=medium

  * Update to version 2.1.7
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 25 Aug 2016 11:34:16 +0200

canl-c (2.1.6-2) unstable; urgency=medium

  * Remove calls to ssl3 openssl functions (Closes: #804602)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 06 Nov 2015 13:31:33 +0100

canl-c (2.1.6-1) unstable; urgency=medium

  * Update to version 2.1.6
  * Ack NMU - many thanks
  * Drop patch canl-c-no-decl.patch merged upstream
  * Implement Multi-Arch support

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 31 Jul 2015 11:02:11 +0200
