## canl-c 2.1.8

=== debian/changelog ===
canl-c (2.1.8-1) unstable; urgency=medium

  * Update to version 2.1.8

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 Mar 2017 15:56:11 +0100
