## canl-c 3.0.0

=== Makefile ===
--- 
+++ 
@@ -83,7 +83,8 @@
 #
 # where offset is a sum of maximal released minor's of all previous major's
 #
-offset=0
+# counted minors: 1.0, 2.1
+offset=1
 version_info:=-version-info ${shell \
 	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 major:=${shell \
@@ -96,7 +97,7 @@
 ${LIBCANL}:\
 	canl_err_desc.lo canl.lo canl_err.lo canl_dns.lo canl_ssl.lo \
 	canl_cert.lo canl_cred.lo canl_ocsp.lo\
-	doio.lo evaluate.lo list.lo normalize.lo proxycertinfo.lo\
+	doio.lo evaluate.lo list.lo normalize.lo \
 	scutils.lo sslutils.lo data.lo namespaces_parse.lo namespaces_lex.lo\
 	signing_policy_parse.lo signing_policy_lex.lo
 	${LINK} -rpath ${stagedir}${prefix}/${libdir} ${version_info} $+ ${LFLAGS_LIB} -o $@
