=== debian/changelog ===
canl-c (3.0.0-6) unstable; urgency=medium

  * Fix used after free warning
  * Add missing dependencies to Makefile
  * Fix incompatible pointer errors (gcc 15) (Closes: #1096410)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 22 Feb 2025 09:25:20 +0100

canl-c (3.0.0-5) unstable; urgency=medium

  * Set FORCE_SOURCE_DATE=1 during build
    - pdflatex ignores SOURCE_DATE_EPOCH otherwise
  * Enable bind-now hardening
  * Correct spelling error reported by lintian (enought → enough)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 01 Mar 2024 17:16:40 +0100

canl-c (3.0.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062038

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 05:42:18 +0000

canl-c (3.0.0-4) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 13

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 17 Dec 2022 16:20:41 +0100

canl-c (3.0.0-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 17:08:19 +0100

canl-c (3.0.0-3) unstable; urgency=medium

  * Add Vcs references to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 29 Mar 2018 08:35:20 +0200

canl-c (3.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 04 Sep 2017 11:31:14 +0200

canl-c (3.0.0-1) experimental; urgency=medium

  * Update to version 3.0.0 - supports openssl 1.1 (Closes: #851090)
  * Drop patch canl-c-nossl3.patch (fixed upstream)
  * Migrate to dbgsym packages
  * Support DEB_BUILD_OPTIONS=nocheck

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 06 Aug 2017 20:59:36 +0200
