=== debian/control ===
Source: canl-c
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 bison,
 flex,
 libc-ares-dev,
 libkrb5-dev,
 libssl-dev (>= 1.1),
 libtool,
 libtool-bin,
 pkgconf,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-latex-recommended
Standards-Version: 4.7.1
Vcs-Browser: https://salsa.debian.org/ellert/canl-c
Vcs-Git: https://salsa.debian.org/ellert/canl-c.git
Homepage: https://github.com/CESNET/canl-c

Package: libcanl-c4t64
Provides: ${t64:Provides}
Replaces: libcanl-c4
Breaks: libcanl-c4 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: EMI Common Authentication library - bindings for C
 This is the C part of the EMI caNl -- the Common Authentication Library.

Package: libcanl-c-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcanl-c4t64 (= ${binary:Version}),
 libkrb5-dev,
 ${misc:Depends}
Description: Development files for EMI caNl
 This package contains development libraries and header files for EMI caNl.

Package: libcanl-c-examples
Section: misc
Architecture: any
Multi-Arch: foreign
Depends:
 libcanl-c4t64 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Example programs of EMI caNl
 This package contains client and server examples of EMI caNl.

Package: libcanl-c-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Documentation files for EMI caNl
 This package contains documentation files for EMI caNl.
