=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	./configure --root= --libdir=lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" FORCE_SOURCE_DATE=1 dh_auto_build

override_dh_auto_clean:
	$(MAKE) clean
	rm -f Makefile.inc config.status canl-c.spec

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	# Documentation is installed by dh_installdocs
	rm -rf debian/tmp/usr/share/doc
